/*
  delivers status messages of the stream
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#include <devices/statusDevice.h>



StatusDevice::StatusDevice() {
  status=-1;
}


StatusDevice::~StatusDevice() {
}



char* StatusDevice::getNodeName() {
  return "StatusDevice";
}




int StatusDevice::getStatus() {
  return status;
}



void StatusDevice::writeIn(NodeDevice* source,DeviceConfig* buf) {
  StatusInfo* statusInfo=buf->getStatusInfo();
  int newState;
  newState=statusInfo->getStatus();

  if ((status != newState) && (getData() == false)) {
    status=newState;
    dataSendNotify();
  }
}
  
 

