/*
  a widget to add new players/channels 
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */





#ifndef __KMPGMIXERWIDGET_H
#define __KMPGMIXERWIDGET_H

// QT include files
#include <qpushbt.h>


#include "kmpgStandAlone.h"

// YAF include file
#include <devices/audioDeviceLinux.h>
#include <devices/mixerDevice.h>

class KmpgMixerWidget :  public KTMainWindow {
 Q_OBJECT

  MixerDevice* mixer;
  OutputDevice* audioDevice;

 public:
  KmpgMixerWidget( QWidget *parent = 0, const char *name = 0 );
  ~KmpgMixerWidget();

 public slots:
  void addChannel();

 private:
  void buildGui();

  QPushButton* addChannelButton;
  
};
#endif
